.titleBar { margin-bottom: 5px!important; }

python 3.6.x und pip

Dieses Thema im Forum "Freetz" wurde erstellt von Micha_Btz, 11 Apr. 2018.

  1. Micha_Btz

    Micha_Btz Neuer User

    Registriert seit:
    13 Aug. 2011
    Beiträge:
    43
    Zustimmungen:
    0
    Punkte für Erfolge:
    6
    Hi,

    ich bräuchte für ein Projekt, https://github.com/dgiese/dustcloud/wiki/Dustcloud-Installation#requirements
    Python3 und das dazugehörige pip. In den freetz Quellen ist Version 2.7.14.

    Leider ist freetz.org nicht erreichbar, so dass ich nicht nachschauen kann ob es dazu schon ein Ticket gibt oder nicht.

    Gibt es einen Konsenz, wie man hier vorgehen würde? Also würde man python3 parallel zu python 2.7 in den Quellen vorhalten oder die Version 2.7.14 auf 3.6.5 upgraden?

    Wenn python dann die richtige Version hat, würde ich gern mittels pip die ganzen Abhängigkeiten zu python-miio installieren. Wie hier am besten vorgehen, da ich ja nicht auf den r/o gemounteten speicher schreiben kann. Gleich python als external installieren?

    Danke Micha
     
  2. Micha_Btz

    Micha_Btz Neuer User

    Registriert seit:
    13 Aug. 2011
    Beiträge:
    43
    Zustimmungen:
    0
    Punkte für Erfolge:
    6
    Ich habe das gestern mal "quick and dirty" versucht allerdings gibt es viele Patches die beim Bau angewendet werden. Um diese zu Portieren fehlen mir die Kenntnisse.
    Werde wohl auf eine Raspi wechseln um mein Vorhaben umzusetzen.